MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0027581Open CASCADE[OCCT] OCCT:Modeling Algorithmspublic2016-06-08 17:072016-12-09 16:37
Reporternbv 
Assigned Tomkv 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.1.0Fixed in Version[OCCT] 7.1.0 
Summary0027581: Logical error in Bnd_Box(2d)::SquareExtent() method.
DescriptionLocal variables dx and dy must take into account the field "Gap" twice.
Steps To ReproduceTest case is not required.
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0054817)
git (administrator)
2016-06-08 17:43

Branch CR27581 has been created by nbv.

SHA-1: 80185297bdff57b0a66fec88b3887504d842ba29


Detailed log of new commits:

Author: nbv
Date: Wed Jun 8 17:42:18 2016 +0300

    0027581: Logical error in Bnd_Box(2d)::SquareExtent() method.
    
    1. Code in method SquareExtent has been corrected.
    2. Methods DeltaX(), DeltaY() and DeltaZ() have been added in Bnd_Box(2d) classes.
(0054818)
nbv (developer)
2016-06-08 17:46

Dear Mikhail,

Please review CR27581 branch.
(0054827)
msv (developer)
2016-06-08 19:32

Please do not add Delta* methods. First, they are not used anywhere. Second, this is commonly used class, and we must not introduce new methods that allow to make errors in the program. In this case, there will be an error if the box is Open.
(0054831)
git (administrator)
2016-06-09 10:07

Branch CR27581 has been updated forcibly by nbv.

SHA-1: fbdd2e73eb9564907c0c2833577e6dd6d3545ac8
(0054832)
nbv (developer)
2016-06-09 10:09

Dear Mikhail,

Please review the current state of CR27581 branch again.
(0054835)
msv (developer)
2016-06-09 11:01

Reviewed.
(0054845)
git (administrator)
2016-06-09 15:34

Branch CR27581 has been updated forcibly by mkv.

SHA-1: 77a6c8313fa084e709021add8c2316f5a709c4f3
(0054906)
mkv (tester)
2016-06-10 14:59

Dear BugMaster,
Branch CR27581 was rebased on IR-2016-06-09 of occt git-repository.
SHA-1: 77a6c8313fa084e709021add8c2316f5a709c4f3
(0054907)
mkv (tester)
2016-06-10 14:59

Dear BugMaster,
Branch CR27581 from occt git-repository (and IR-2016-06-09 from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: 77a6c8313fa084e709021add8c2316f5a709c4f3

Number of compiler warnings:

occt component :
Linux: 0 (0 on master)
Windows: 0 (0 on master)
MacOS : 0 (0 on master)

products component :
Linux: 72 (72 on master)
Windows: 4 (4 on master)
MacOS : 1147

Regressions/Differences/Improvements:
No regressions/differences

Testing cases:
Not needed

Testing on Linux:
occt component :
Total MEMORY difference: 88033364 / 88294023 [-0.30%]
Total CPU difference: 19454.510000000122 / 19440.539999999968 [+0.07%]
products component :
Total MEMORY difference: 27615845 / 27641722 [-0.09%]
Total CPU difference: 5146.679999999979 / 5152.139999999989 [-0.11%]

Testing on Windows:
occt component :
Total MEMORY difference: 55962137 / 55983280 [-0.04%]
Total CPU difference: 18331.00670569886 / 19056.302154998906 [-3.81%]
products component :
Total MEMORY difference: 18742728 / 18707971 [+0.19%]
Total CPU difference: 4970.098259399946 / 5089.283023399957 [-2.34%]

There are no differences in images found by testdiff.
(0054908)
mkv (tester)
2016-06-10 15:00

Dear BugMaster,
Branch CR27581 is TESTED.
(0055145)
git (administrator)
2016-06-17 12:13

Branch CR27581 has been deleted by inv.

SHA-1: 77a6c8313fa084e709021add8c2316f5a709c4f3

- Related Changesets
occt: master 77a6c831
Timestamp: 2016-06-08 14:42:18
Author: nbv
Committer: mkv
Details ] Diff ]
0027581: Logical error in Bnd_Box(2d)::SquareExtent() method.

Code in method SquareExtent has been corrected.
mod - src/Bnd/Bnd_Box.lxx Diff ] File ]
mod - src/Bnd/Bnd_Box2d.lxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2016-06-08 17:07 nbv New Issue
2016-06-08 17:07 nbv Assigned To => msv
2016-06-08 17:43 git Note Added: 0054817
2016-06-08 17:44 nbv Assigned To msv => nbv
2016-06-08 17:44 nbv Status new => assigned
2016-06-08 17:46 nbv Note Added: 0054818
2016-06-08 17:46 nbv Assigned To nbv => msv
2016-06-08 17:46 nbv Status assigned => resolved
2016-06-08 19:32 msv Note Added: 0054827
2016-06-08 19:32 msv Assigned To msv => nbv
2016-06-08 19:32 msv Status resolved => assigned
2016-06-09 10:07 git Note Added: 0054831
2016-06-09 10:09 nbv Note Added: 0054832
2016-06-09 10:09 nbv Assigned To nbv => msv
2016-06-09 10:09 nbv Status assigned => resolved
2016-06-09 11:01 msv Note Added: 0054835
2016-06-09 11:01 msv Assigned To msv => bugmaster
2016-06-09 11:01 msv Status resolved => reviewed
2016-06-09 15:34 git Note Added: 0054845
2016-06-09 16:43 mkv Assigned To bugmaster => mkv
2016-06-10 14:59 mkv Note Added: 0054906
2016-06-10 14:59 mkv Note Added: 0054907
2016-06-10 15:00 mkv Note Added: 0054908
2016-06-10 15:00 mkv Assigned To mkv => bugmaster
2016-06-10 15:00 mkv Status reviewed => tested
2016-06-10 15:00 mkv Test case number => Not needed
2016-06-17 12:04 mkv Changeset attached => occt master 77a6c831
2016-06-17 12:04 mkv Assigned To bugmaster => mkv
2016-06-17 12:04 mkv Status tested => verified
2016-06-17 12:04 mkv Resolution open => fixed
2016-06-17 12:13 git Note Added: 0055145
2016-12-09 16:31 user533 Status verified => closed
2016-12-09 16:37 user533 Fixed in Version => 7.1.0


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker